<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

return apply_filters( 'wc_worldnet_settings',
	array(
		'enabled' => array(
			'title'       => __( 'Enable/Disable', 'woocommerce-gateway-worldnet' ),
			'label'       => __( 'Enable Worldnet', 'woocommerce-gateway-worldnet' ),
			'type'        => 'checkbox',
			'description' => '',
			'default'     => 'no',
		),
		'title' => array(
			'title'       => __( 'Title', 'woocommerce-gateway-worldnet' ),
			'type'        => 'text',
			'description' => __( 'This controls the title which the user sees during checkout.', 'woocommerce-gateway-worldnet' ),
			'default'     => __( 'Credit Card (Worldnet)', 'woocommerce-gateway-worldnet' ),
			'desc_tip'    => true,
		),
		'description' => array(
			'title'       => __( 'Description', 'woocommerce-gateway-worldnet' ),
			'type'        => 'text',
			'description' => __( 'This controls the description which the user sees during checkout.', 'woocommerce-gateway-worldnet' ),
			'default'     => __( 'Pay with your credit card via Worldnet.', 'woocommerce-gateway-worldnet' ),
			'desc_tip'    => true,
		),
        'testmode' => array(
            'title'       => __( 'Test mode', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable Test Mode', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( 'Place the payment gateway in test mode using test API keys.', 'woocommerce-gateway-worldnet' ),
            'default'     => 'yes',
            'desc_tip'    => true,
        ),
        'avs' => array(
            'title'       => __( 'AVS', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable AVS', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( 'Make sure AVS is enabled on your terminal.', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        '3ds' => array(
            'title'       => __( '3DS', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable 3DS', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( 'Make sure 3DS is enabled on your terminal.', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'mpi_receipt_url' => array(
            'title'       => __( 'MPI Receipt URL', 'woocommerce-gateway-worldnet' ),
            'label'       => __( '', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( 'Set this value in your Selfcare Settings > Terminal', 'woocommerce-gateway-worldnet' ),
            'default'     => get_permalink( wc_get_page_id( 'checkout' ) ),
            'desc_tip'    => true,
            'custom_attributes' => array('readonly' => 'readonly')
        ),

		'test_publishable_key' => array(
			'title'       => __( 'Test Primary Terminal Id', 'woocommerce-gateway-worldnet' ),
			'type'        => 'text',
			'description' => __( '', 'woocommerce-gateway-worldnet' ),
			'default'     => '',
			'desc_tip'    => true,
		),
		'test_secret_key' => array(
			'title'       => __( 'Test Primary Shared Secret', 'woocommerce-gateway-worldnet' ),
			'type'        => 'text',
			'description' => __( '', 'woocommerce-gateway-worldnet' ),
			'default'     => '',
			'desc_tip'    => true,
		),
        'test_currency' => array(
            'title'       => __( 'Test Primary Currency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-worldnet' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-worldnet' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-worldnet' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-worldnet' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-worldnet' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-worldnet' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-worldnet' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-worldnet' ),
            ),
        ),
        'test_multicurrency' => array(
            'title'       => __( 'Test multicurrency', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'test_publishable_key2' => array(
            'title'       => __( 'Test Second Terminal Id', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_secret_key2' => array(
            'title'       => __( 'Test Second Shared Secret', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_currency2' => array(
            'title'       => __( 'Test Second Currency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-worldnet' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-worldnet' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-worldnet' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-worldnet' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-worldnet' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-worldnet' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-worldnet' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-worldnet' ),
            ),
        ),
        'test_multicurrency2' => array(
            'title'       => __( 'Test Second multicurrency', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'test_publishable_key3' => array(
            'title'       => __( 'Test Third Terminal Id', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_secret_key3' => array(
            'title'       => __( 'Test Third Shared Secret', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'test_currency3' => array(
            'title'       => __( 'Test Third Currency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-worldnet' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-worldnet' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-worldnet' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-worldnet' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-worldnet' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-worldnet' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-worldnet' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-worldnet' ),
            ),
        ),
        'test_multicurrency3' => array(
            'title'       => __( 'Test Third multicurrency', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),

        'publishable_key' => array(
            'title'       => __( 'Live Primary Terminal Id', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'secret_key' => array(
            'title'       => __( 'Live Primary Shared Secret', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'live_currency' => array(
            'title'       => __( 'Live Primary Currency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-worldnet' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-worldnet' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-worldnet' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-worldnet' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-worldnet' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-worldnet' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-worldnet' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-worldnet' ),
            ),
        ),
        'live_multicurrency' => array(
            'title'       => __( 'Live multicurrency', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'publishable_key2' => array(
            'title'       => __( 'Live Second Terminal Id', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'secret_key2' => array(
            'title'       => __( 'Live Second Shared Secret', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'live_currency2' => array(
            'title'       => __( 'Live Second Currency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-worldnet' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-worldnet' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-worldnet' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-worldnet' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-worldnet' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-worldnet' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-worldnet' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-worldnet' ),
            ),
        ),
        'live_multicurrency2' => array(
            'title'       => __( 'Live Second multicurrency', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),
        'publishable_key3' => array(
            'title'       => __( 'Live Third Terminal Id', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'secret_key3' => array(
            'title'       => __( 'Live Third Shared Secret', 'woocommerce-gateway-worldnet' ),
            'type'        => 'text',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => '',
            'desc_tip'    => true,
        ),
        'live_currency3' => array(
            'title'       => __( 'Live Third Currency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'select',
            'class'       => '',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'Euro',
            'desc_tip'    => true,
            'options'     => array(
                'EUR' => __( 'Euro', 'woocommerce-gateway-worldnet' ),
                'GBP'   => __( 'Sterling', 'woocommerce-gateway-worldnet' ),
                'USD'   => __( 'US Dollar', 'woocommerce-gateway-worldnet' ),
                'CAD'   => __( 'Canadian Dollar', 'woocommerce-gateway-worldnet' ),
                'AUD'   => __( 'Australian Dollar', 'woocommerce-gateway-worldnet' ),
                'DKK'   => __( 'Danish Krone', 'woocommerce-gateway-worldnet' ),
                'SEK'   => __( 'Swedish Krona', 'woocommerce-gateway-worldnet' ),
                'NOK'   => __( 'Norwegian Krone', 'woocommerce-gateway-worldnet' ),
            ),
        ),
        'live_multicurrency3' => array(
            'title'       => __( 'Live Third multicurrency', 'woocommerce-gateway-worldnet' ),
            'label'       => __( 'Enable multicurrency', 'woocommerce-gateway-worldnet' ),
            'type'        => 'checkbox',
            'description' => __( '', 'woocommerce-gateway-worldnet' ),
            'default'     => 'no',
            'desc_tip'    => true,
        ),

        /*
		'capture' => array(
			'title'       => __( 'Capture', 'woocommerce-gateway-worldnet' ),
			'label'       => __( 'Capture charge immediately', 'woocommerce-gateway-worldnet' ),
			'type'        => 'checkbox',
			'description' => __( 'Whether or not to immediately capture the charge. When unchecked, the charge issues an authorization and will need to be captured later. Uncaptured charges expire in 7 days.', 'woocommerce-gateway-worldnet' ),
			'default'     => 'yes',
			'desc_tip'    => true,
		),*/
        'worldnet_integration_type' => array(
                'title'       => __( 'Integration type', 'woocommerce-gateway-worldnet' ),
                'type'        => 'select',
                'class'       => '',
                'description' => __( '', 'woocommerce-gateway-worldnet' ),
                'default'     => 'XML',
                'desc_tip'    => true,
                'options'     => array(
                    'xml' => __( 'XML', 'woocommerce-gateway-worldnet' ),
                    'hpp'   => __( 'HPP', 'woocommerce-gateway-worldnet' ),
                ),
        ),
	)
);
